### Method

# ECal ComponentAlarmRepeat copy

since: 3.34

#### Declaration [src]

    ECalComponentAlarmRepeat*
    e_cal_component_alarm_repeat_copy (
      const ECalComponentAlarmRepeat* repeat
    )

#### Description

No description available.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarmRepeat`

A newly allocated `ECalComponentAlarmRepeat`, copy of `repeat`. The returned structure should be freed with e_cal_component_alarm_repeat_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.